// eventList 
import { getToken } from '@/utils/auth'
import { ref } from 'vue'
import { getRewardEventTrackList } from '@/api/integral'

// 规则配置跟踪列表(每10分钟更新一次)
export const updateEventList = () => {
  const timer = ref(null)
  if (getToken()) {
    timer.value = setInterval(async () => {
      const eventList = await getRewardEventTrackList()
      // console.log('eventList->获取规则配置跟踪列表')
      localStorage.setItem('eventList', JSON.stringify(eventList) ?? [])
    }, 600000)
  } else {
    timer.value = null
    localStorage.setItem('eventList', [])
  }
}